module inc

  contains

  subroutine incb(a)

! this is a fortran90 style subroutine

    real, dimension(:) :: a
      
    a = a + 1.

  end subroutine incb

end module inc

program main

  use inc
  
  real, dimension(5) :: x

  x = 0.
  call incb(x)
  print *, x
      
end program main
